Gecode::Int::Rel::NaryLqLe< View, o >::Pos Class Reference

Positions in view array that have to be propagated. More...

`#include <rel.hh>`

## Public Attributes

int | p
| Position of view in view array.

## Constructor

| Pos (int p, Pos *n)
| Initialize with position p and next position n.

## Linkage access

Pos * | next (void) const
| Return next position.

## Memory management

void | dispose (Space &home)
| Free memory for this position.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p)
| No-op (for exceptions).
static void | operator delete (void *p, Space &home)
| No-op (use dispose instead).

## Additional Inherited Members

Public Member Functions inherited from Gecode::FreeList
| FreeList (void)
| Use uninitialized.
| FreeList (FreeList *n)
| Initialize with next freelist object n.
FreeList * | next (void) const
| Return next freelist object.
FreeList ** | nextRef (void)
| Return pointer to next link in freelist object.
void | next (FreeList *n)
| Set next freelist object to n.
Protected Attributes inherited from Gecode::FreeList
FreeList * | _next
| Pointer to next freelist object.

## Detailed Description

template<class View, int o>
class Gecode::Int::Rel::NaryLqLe< View, o >::Pos

Positions in view array that have to be propagated.

Definition at line 246 of file rel.hh.

## Constructor & Destructor Documentation

## Pos()

template<class View, int o>

Gecode::Int::Rel::NaryLqLe< View, o >::Pos::Pos | ( | int | p,
|  | Pos * | n )

inline

Initialize with position p and next position n.

Definition at line 142 of file lq-le.hpp.

## Member Function Documentation

## next()

template<class View, int o>

NaryLqLe< View, o >::Pos * Gecode::Int::Rel::NaryLqLe< View, o >::Pos::next | ( | void |  | ) | const

inline

Return next position.

Definition at line 147 of file lq-le.hpp.

## dispose()

template<class View, int o>

void Gecode::Int::Rel::NaryLqLe< View, o >::Pos::dispose | ( | Space & | home | ) |

inline

Free memory for this position.

Definition at line 169 of file lq-le.hpp.

## operator new()

template<class View, int o>

void * Gecode::Int::Rel::NaryLqLe< View, o >::Pos::operator new | ( | size_t | s,
|  | Space & | home )

inline static

Allocate memory from space.

Definition at line 163 of file lq-le.hpp.

## operator delete() [1/2]

template<class View, int o>

void Gecode::Int::Rel::NaryLqLe< View, o >::Pos::operator delete | ( | void * | p | ) |

inline static

No-op (for exceptions).

Definition at line 153 of file lq-le.hpp.

## operator delete() [2/2]

template<class View, int o>

void Gecode::Int::Rel::NaryLqLe< View, o >::Pos::operator delete | ( | void * | p,
|  | Space & | home )

inline static

No-op (use dispose instead).

Definition at line 157 of file lq-le.hpp.

## Member Data Documentation

## p

template<class View, int o>

int Gecode::Int::Rel::NaryLqLe< View, o >::Pos::p

Position of view in view array.

Definition at line 249 of file rel.hh.

The documentation for this class was generated from the following files:

- gecode/int/rel.hh
- gecode/int/rel/lq-le.hpp